package com.sd.business.entity.apply.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 申购单bom
 * </p>
 *
 * @author
 * @since 2024-01-03
 */
@Getter
@Setter
@TableName("apply_buy_bom")
public class ApplyBuyBom extends BasePo {

    /**
     * 申购单id
     */
    private Long applyBuyId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 申购数量
     */
    private BigDecimal quantity;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 冻结数量
     */
    private BigDecimal frozenQuantity;

}
