package com.sd.business.entity.purchase.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 采购合同bom列表查询返回值实体
 *
 * @author
 * @since 2023-08-07
 */
@Getter
@Setter
public class PurchaseBomSelectVo {

    /**
     * bom id
     */
    private Long bomId;

    /**
     * bom品号
     */
    private String code;

    /**
     * bom 品名
     */
    private String name;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * bom规格信息列表
     */
    private List<PurchaseBomInfoVo> bomSpecList;
}
