package com.sd.business.mapper.statement;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.entity.statement.vo.StatementOfAccountVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 对账单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface StatementOfAccountMapper extends BaseMapper<StatementOfAccount> {

    Page<StatementOfAccountVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StatementOfAccount> wrapper);

}
