package com.sd.business.service.sku;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.bom.SkuSpecBo;
import com.sd.business.entity.sku.po.SkuSpec;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;


/**
 * <p>
 * sku规格 服务类
 * </p>
 *
 * @author
 * @since 2023-11-09
 */
public interface SkuSpecService extends BaseService<SkuSpec> {

    /**
     * 获取sku的库存数
     */
    BigDecimal getSkuInventoryQuantity(Long id);

    Map<Long, SkuSpecBo> getSkuSpecBoByIdList(List<Long> skuSpecIds);

}
