package com.sd.business.entity.inventory.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 库存快照
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("inventory_backup")
public class InventoryBackup extends Inventory {

    /**
     * 库存id
     */
    private Long inventoryId;

    /**
     * 备份日期
     */
    private Date backupDate;

}
