package com.sd.business.entity.sku.bom;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class SkuSpecBo {

    /**
     * sku规格id
     */
    private Long id;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

    /**
     * sku规格编码
     */
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    private String skuSpecName;

    /**
     * 分类名称
     */
    private String skuClassifyName;

}
